FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian Development

 
 
LinkBack Thread Tools
 
Old 06-09-2011, 11:26 AM
Andreas Tille
 
Default Multiarch with cmake seems to cause FTBFS (Was: Bug#629815: No rule to make target `/usr/lib/libdl.so')

Hi,

in case people might wonder about strange FTBFS like #629815 (which does
not seem to be the only bug of this type): There is a fair chance that this
will solve with some (future?) cmake package version. Just to let you know
before everybody needs to do the same investigation ...

On Thu, Jun 09, 2011 at 01:02:56PM +0200, Sven Joachim wrote:
> On 2011-06-09 11:19 +0200, Andreas Tille wrote:
>
> > On Thu, Jun 09, 2011 at 10:00:40AM +0200, Sven Joachim wrote:
> >>
> >> The problem is that libdl.so has been moved to the multiarch paths in
> >> libc6-dev 2.13-5. You must upgrade cmake to 2.8.4+dfsg.1-3, have you
> >> done that already?
> >
> > I'm building an unstable pbuilder chroot. It is using the cmake
> > version you are mentioning:
> >
> > $ grep cmake.2.8 ginkgocadx_2.4.1.1-1_amd64.build
> > Unpacking cmake (from .../cmake_2.8.4+dfsg.1-3_amd64.deb) ...
>
> Might be worth retrying with cmake 2.8.4+dfsg.1-4, currently in
> incoming. It has a different multiarch implementation.

I'll try, thanks for the tip

Andreas.

--
http://fam-tille.de


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20110609112649.GI27939@an3as.eu">http://lists.debian.org/20110609112649.GI27939@an3as.eu
 
Old 06-09-2011, 11:26 AM
Andreas Tille
 
Default Multiarch with cmake seems to cause FTBFS (Was: Bug#629815: No rule to make target `/usr/lib/libdl.so')

Hi,

in case people might wonder about strange FTBFS like #629815 (which does
not seem to be the only bug of this type): There is a fair chance that this
will solve with some (future?) cmake package version. Just to let you know
before everybody needs to do the same investigation ...

On Thu, Jun 09, 2011 at 01:02:56PM +0200, Sven Joachim wrote:
> On 2011-06-09 11:19 +0200, Andreas Tille wrote:
>
> > On Thu, Jun 09, 2011 at 10:00:40AM +0200, Sven Joachim wrote:
> >>
> >> The problem is that libdl.so has been moved to the multiarch paths in
> >> libc6-dev 2.13-5. You must upgrade cmake to 2.8.4+dfsg.1-3, have you
> >> done that already?
> >
> > I'm building an unstable pbuilder chroot. It is using the cmake
> > version you are mentioning:
> >
> > $ grep cmake.2.8 ginkgocadx_2.4.1.1-1_amd64.build
> > Unpacking cmake (from .../cmake_2.8.4+dfsg.1-3_amd64.deb) ...
>
> Might be worth retrying with cmake 2.8.4+dfsg.1-4, currently in
> incoming. It has a different multiarch implementation.

I'll try, thanks for the tip

Andreas.

--
http://fam-tille.de


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20110609112649.GI27939@an3as.eu">http://lists.debian.org/20110609112649.GI27939@an3as.eu
 

Thread Tools




All times are GMT. The time now is 09:06 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org